### Constructor

# Gtk.MessageDialog.new

#### Declaration [src]

    GtkWidget*
    gtk_message_dialog_new (
      GtkWindow* parent,
      GtkDialogFlags flags,
      GtkMessageType type,
      GtkButtonsType buttons,
      const char* message_format,
      ...
    )

#### Description [src]

Creates a new message dialog.

This is a simple dialog with some text the user may want to see. When the user clicks a button a “response” signal is emitted with response IDs from `GtkResponseType`. See `GtkDialog` for more details.

#### Parameters

`parent` | `GtkWindow`
| transient parent, or `NULL` for none
| Can be `NULL`
| Ownership is not transferred to the callee
`flags` | `GtkDialogFlags`
| flags
`type` | `GtkMessageType`
| type of message
`buttons` | `GtkButtonsType`
| set of buttons to use
`message_format` | `const char*`
| `printf()`-style format string, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`...` | ``
| arguments for `message_format`

#### Return value

Returns: `GtkWidget`
a new `GtkMessageDialog`
Ownership is not transferred to the caller